potiuk commented on a change in pull request #4543: [AIRFLOW-3718] [WIP] 
Multi-layered version of the docker image
URL: https://github.com/apache/airflow/pull/4543#discussion_r266267353
 
 

 ##########
 File path: scripts/ci/ci_run_airflow_testing.sh
 ##########
 @@ -0,0 +1,54 @@
+#!/usr/bin/env bash
+
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+set -xeuo pipefail
+MY_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+export PYTHON_VERSION=${PYTHON_VERSION:=$(python -c 'import sys; print("%s.%s" 
% (sys.version_info.major, sys.version_info.minor))')}
+export AIRFLOW_VERSION=$(cat airflow/version.py | grep version | awk {'print 
$3'} | tr -d "'+")
+export DOCKERHUB_USER=${DOCKERHUB_USER:="potiuk"} # TODO: change back to 
"airflow"
 
 Review comment:
   Yeah. For now I keep "potiuk" in there because I can run testing with my own 
DockerHub/Travis (but when we get to merging/splitting to separate commits I 
will bring it back to "airflow" (there is a TODO in configuration). Actually 
this is also a feature requested in "Simplified Development Workflow" - you 
will be able to use your own DockerHub account/DockerHub repo to build and test 
(and use) images on your own instance before it ever hits DockerHub or TravisCI 
of airflow. Kinda nice for testing.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[email protected]


With regards,
Apache Git Services

Reply via email to